Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1519827 - [abrt] texstudio: ManhattanStyle::event(): texstudio killed by SIGSEGV
Summary: [abrt] texstudio: ManhattanStyle::event(): texstudio killed by SIGSEGV
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: texstudio
Version: 27
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: hannes
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:59d10cef23b087fdb8e2daa693d...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-12-01 14:06 UTC by Vedran Miletić
Modified: 2018-02-28 17:10 UTC (History)
2 users (show)

Fixed In Version: texstudio-2.12.8-1.fc27
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-02-28 17:10:09 UTC


Attachments (Terms of Use)
File: backtrace (deleted)
2017-12-01 14:06 UTC, Vedran Miletić
no flags Details
File: cgroup (deleted)
2017-12-01 14:06 UTC, Vedran Miletić
no flags Details
File: core_backtrace (deleted)
2017-12-01 14:06 UTC, Vedran Miletić
no flags Details
File: cpuinfo (deleted)
2017-12-01 14:06 UTC, Vedran Miletić
no flags Details
File: dso_list (deleted)
2017-12-01 14:06 UTC, Vedran Miletić
no flags Details
File: environ (deleted)
2017-12-01 14:06 UTC, Vedran Miletić
no flags Details
File: exploitable (deleted)
2017-12-01 14:06 UTC, Vedran Miletić
no flags Details
File: limits (deleted)
2017-12-01 14:06 UTC, Vedran Miletić
no flags Details
File: maps (deleted)
2017-12-01 14:06 UTC, Vedran Miletić
no flags Details
File: mountinfo (deleted)
2017-12-01 14:06 UTC, Vedran Miletić
no flags Details
File: open_fds (deleted)
2017-12-01 14:06 UTC, Vedran Miletić
no flags Details
File: proc_pid_status (deleted)
2017-12-01 14:06 UTC, Vedran Miletić
no flags Details

Description Vedran Miletić 2017-12-01 14:06:08 UTC
Version-Release number of selected component:
texstudio-2.12.6-2.fc27

Additional info:
reporter:       libreport-2.9.3
backtrace_rating: 4
cmdline:        texstudio
crash_function: ManhattanStyle::event
executable:     /usr/bin/texstudio
journald_cursor: s=c8ad4445e021464a8d685d6eea1b70ca;i=14bce44;b=ba037f05397d4691ac53df033ce58358;m=3e361aaf0d;t=55f47cdcaa63d;x=f9026e4c612e3c2d
kernel:         4.13.15-300.fc27.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            7057

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 ManhattanStyle::event at ../manhattanstyle.cpp:1082
 #1 QApplicationPrivate::notify_helper at kernel/qapplication.cpp:3722
 #2 QApplication::notify at kernel/qapplication.cpp:3481
 #3 QCoreApplication::notifyInternal2 at kernel/qcoreapplication.cpp:1018
 #4 QCoreApplication::sendEvent at kernel/qcoreapplication.h:233
 #5 QObject::setProperty at kernel/qobject.cpp:3903
 #6 ManhattanStyle::ManhattanStyle at ../manhattanstyle.cpp:135
 #7 ConfigManager::setInterfaceStyle at ../configmanager.cpp:2542
 #8 ConfigManager::readSettings at ../configmanager.cpp:1124
 #9 Texstudio::readSettings at ../texstudio.cpp:4057

Comment 1 Vedran Miletić 2017-12-01 14:06:14 UTC
Created attachment 1361611 [details]
File: backtrace

Comment 2 Vedran Miletić 2017-12-01 14:06:15 UTC
Created attachment 1361613 [details]
File: cgroup

Comment 3 Vedran Miletić 2017-12-01 14:06:17 UTC
Created attachment 1361614 [details]
File: core_backtrace

Comment 4 Vedran Miletić 2017-12-01 14:06:18 UTC
Created attachment 1361615 [details]
File: cpuinfo

Comment 5 Vedran Miletić 2017-12-01 14:06:20 UTC
Created attachment 1361616 [details]
File: dso_list

Comment 6 Vedran Miletić 2017-12-01 14:06:21 UTC
Created attachment 1361617 [details]
File: environ

Comment 7 Vedran Miletić 2017-12-01 14:06:22 UTC
Created attachment 1361618 [details]
File: exploitable

Comment 8 Vedran Miletić 2017-12-01 14:06:24 UTC
Created attachment 1361619 [details]
File: limits

Comment 9 Vedran Miletić 2017-12-01 14:06:26 UTC
Created attachment 1361620 [details]
File: maps

Comment 10 Vedran Miletić 2017-12-01 14:06:27 UTC
Created attachment 1361621 [details]
File: mountinfo

Comment 11 Vedran Miletić 2017-12-01 14:06:28 UTC
Created attachment 1361622 [details]
File: open_fds

Comment 12 Vedran Miletić 2017-12-01 14:06:30 UTC
Created attachment 1361623 [details]
File: proc_pid_status

Comment 13 Vedran Miletić 2017-12-04 15:35:33 UTC
Similar problem has been detected:

Ran TeXstudio

reporter:       libreport-2.9.3
backtrace_rating: 4
cmdline:        texstudio
crash_function: ManhattanStyle::event
executable:     /usr/bin/texstudio
journald_cursor: s=c8ad4445e021464a8d685d6eea1b70ca;i=14bec5b;b=ba037f05397d4691ac53df033ce58358;m=7bcfd24630;t=55f8567823d60;x=b925dcc8d64bb585
kernel:         4.13.15-300.fc27.x86_64
package:        texstudio-2.12.6-2.fc27
reason:         texstudio killed by SIGSEGV
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            7057

Comment 14 Fedora Update System 2018-02-20 12:42:48 UTC
texstudio-2.12.8-1.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-48f51ab8eb

Comment 15 Fedora Update System 2018-02-20 18:20:37 UTC
texstudio-2.12.8-1.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-48f51ab8eb

Comment 16 Fedora Update System 2018-02-28 17:10:09 UTC
texstudio-2.12.8-1.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.